Geant4 - Feature #6668

Re-implement G4PhysListFactory
07/24/2014 01:41 PM - Robert Hatcher

Status: Work in progress Start date: 07/12/2016
Priority: Normal Due date:

Assignee: Robert Hatcher % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: -

Description

Re-implement factory consistent with existing physics constructor factory (uses C++ templates to wrap constructors) but taking
concepts from G4NuPhysicsLists version (uses C function pointers to wrap constructors). Commit this to G4 repository.

Subtasks:
Support # 13210: G4 GNUMakefile support for builds needs fix for new Factory Assigned

History

#1 - 12/03/2014 03:20 PM - Robert Hatcher
- % Done changed from 0 to 70

Code was refactorized to be consistent with how G4GenericPhysicsList & factory use templates rather than function pointers. Committed code to G4
repository in early November. But due to issues on mac and/or using icc compiler the ShieldingM/ShieldingLEND and G4GenericPhysicsList cases
aren't registered with the list factory. Needs further investigation on why these are problematic for those particular platforms and/or compilers.

#2 - 06/10/2015 05:17 PM - Robert Hatcher
- % Done changed from 70 to 90

Code was modified so that it now works on all platforms (gcc, icc, clang, windows vc12) for ShieldingM / ShieldingLEND, and G4GenericPhysicsList.
This required changes beyond phys-lists and is implemented with proposed and accepted co-working tags:

phys-lists-V10-01-05

® intercoms-V10-01-02
e emdna-V10-01-19

e emstand-V10-01-16

e hadr-cohe-V10-01-07
e hard-inclxx-V10-01-00

Last step would to remove the g4alt:: namespace and replace the original version.

#3 - 07/12/2016 10:07 AM - Robert Hatcher

- Status changed from Assigned to Work in progress

Change to "Work in Progress"

10/23/2020 1/1



http://www.tcpdf.org

